Topic
  • 8 replies
  • Latest Post - ‏2013-10-19T22:29:10Z by aaronglg
SystemAdmin
SystemAdmin
603 Posts

Pinned topic how do i install big insights eclipse components?

‏2013-01-22T17:57:25Z |
i have downloaded 64-bit versions of the following:

eclipse helios sr2
eclipse 3.8.1
eclipse juno sr1

my understanding is this order goes from oldest to newest. should these plugins work on any version of eclipse?

the problem i'm running into is when trying to add them from the source. i go to help -> install new software -> add my big insights 2.0 management node -> select components -> hit next to install. at this point i am missing components, and not sure how to get them.

helios sr2:
Cannot complete the install because one or more required items could not be found.
Software being installed: IBM InfoSphere BigInsights 2.0.0.v20121204_0351 (com.ibm.biginsights.feature.feature.group 2.0.0.v20121204_0351)
Missing requirement: IBM InfoSphere BigInsights 2.0.0.v20121204_0351 (com.ibm.biginsights.feature.feature.group 2.0.0.v20121204_0351) requires 'org.eclipse.pde.ui 0.0.0' but it could not be found

3.8.1:
Cannot complete the install because one or more required items could not be found.
Software being installed: IBM InfoSphere BigInsights 2.0.0.v20121204_0351 (com.ibm.biginsights.feature.feature.group 2.0.0.v20121204_0351)
Missing requirement: IBM InfoSphere BigInsights 2.0.0.v20121204_0351 (com.ibm.biginsights.feature.feature.group 2.0.0.v20121204_0351) requires 'org.apache.commons.el 1.0.0' but it could not be found

juno sr1:
Cannot complete the install because one or more required items could not be found.
Software being installed: IBM InfoSphere BigInsights 2.0.0.v20121204_0351 (com.ibm.biginsights.feature.feature.group 2.0.0.v20121204_0351)
Missing requirement: IBM InfoSphere BigInsights 2.0.0.v20121204_0351 (com.ibm.biginsights.feature.feature.group 2.0.0.v20121204_0351) requires 'org.apache.commons.el 1.0.0' but it could not be found
Updated on 2013-01-24T07:00:25Z at 2013-01-24T07:00:25Z by SystemAdmin
  • SystemAdmin
    SystemAdmin
    603 Posts

    Re: how do i install big insights eclipse components?

    ‏2013-01-22T23:32:15Z  
    Hi,

    Please check the following doc for detailed instructions on "Installing the InfoSphere BigInsights Tools for Eclipse"

    http://pic.dhe.ibm.com/infocenter/bigins/v2r0/index.jsp?topic=%2Fcom.ibm.swg.im.infosphere.biginsights.install.doc%2Fdoc%2Fc0059438.html

    Thanks,

    Zach
  • SystemAdmin
    SystemAdmin
    603 Posts

    Re: how do i install big insights eclipse components?

    ‏2013-01-23T18:00:05Z  
    Hi,

    Please check the following doc for detailed instructions on "Installing the InfoSphere BigInsights Tools for Eclipse"

    http://pic.dhe.ibm.com/infocenter/bigins/v2r0/index.jsp?topic=%2Fcom.ibm.swg.im.infosphere.biginsights.install.doc%2Fdoc%2Fc0059438.html

    Thanks,

    Zach
    per the link, i installed cygwin, and added its path variables.

    C:\Users\IBM_ADMIN>echo %path%
    C:\Program Files\IBM\SPSS\Modeler\14.2\ext\lib\spss.TMWBClient\;C:\Program Files (x86)\RSA SecurID Token Common;C:\Windows\system32;C:\Windows;C:\Windows\System
    32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\ThinkPad\Bluetooth Software\;C:\Program Files\ThinkPad\Bluetooth Software\syswow64;C:\Program Files\Intel\WiFi\bin\;C:\Program Files\Common Files\Intel\WirelessCommon\;C:\Program Files (x86)\Lenovo\Access Connections\;C:\Program Files (x86)\IBM\Personal Communications\;C:\Program Files (x86)\IBM\Trace Facility\;C:\Program Files (x86)\Common Files\Roxio Shared\DLLShared\;C:\Program Files (x86)\Common Files\Roxio Shared\10.0\DLLShared\;C:\Program Files\Java\jdk1.6.0_35\bin;c:\cygwin\bin;c:\cygwin\user\bin

    upon completion of install there actually is no user\bin, but there is a usr\sbin. in any case i don't think this is a problem.

    i also checked what version of java i had on my machine, which appears to be what ibm originally provided me with as i do not recall downloading a jvm...

    C:\Users\IBM_ADMIN>java -version
    java version "1.7.0_09"
    Java(TM) SE Runtime Environment (build 1.7.0_09-b05)
    Java HotSpot(TM) 64-Bit Server VM (build 23.5-b02, mixed mode)

    back to step 3 and onward, this failed with the same error for
    eclipse juno sr1
    eclipse 3.8.1

    eclipse helios sr2 loooooked like it was working, and was moving stuff, but eventually it kicked out this:

    An error occurred while collecting items to be installed
    session context was:(profile=epp.package.java, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
    No repository found containing: osgi.bundle,org.eclipse.emf.mwe2.language,1.0.1.v201008251317
    No repository found containing: osgi.bundle,org.eclipse.emf.mwe2.launch,1.0.1.v201008251317
    No repository found containing: osgi.bundle,org.eclipse.pde,3.6.1.v201102101200
    No repository found containing: osgi.bundle,org.eclipse.pde.api.tools,1.0.202.v20100820_r361
    No repository found containing: osgi.bundle,org.eclipse.pde.api.tools.ui,1.0.201.v20100820_r361
    No repository found containing: osgi.bundle,org.eclipse.pde.build,3.6.2.R36x_20110203
    No repository found containing: osgi.bundle,org.eclipse.pde.core,3.6.2.v20110210_r362
    No repository found containing: osgi.bundle,org.eclipse.pde.doc.user,3.6.2.v20101118_r362
    No repository found containing: osgi.bundle,org.eclipse.pde.ds.core,1.0.100.v20100601
    No repository found containing: osgi.bundle,org.eclipse.pde.ds.ui,1.0.100.v20100601
    No repository found containing: org.eclipse.update.feature,org.eclipse.pde,3.6.2.r362_v20110203-7b7mFL2FET3dhHalh1iNZtL
    No repository found containing: osgi.bundle,org.eclipse.pde.junit.runtime,3.4.100.v20100601
    No repository found containing: osgi.bundle,org.eclipse.pde.launching,3.6.0.v20100601
    No repository found containing: osgi.bundle,org.eclipse.pde.runtime,3.4.200.v20100601
    No repository found containing: osgi.bundle,org.eclipse.pde.ua.core,1.0.100.v20100504
    No repository found containing: osgi.bundle,org.eclipse.pde.ua.ui,1.0.100.v20100504
    No repository found containing: osgi.bundle,org.eclipse.pde.ui,3.6.1.v20110210_r362
    No repository found containing: osgi.bundle,org.eclipse.pde.ui.templates,3.4.200.v20100601
    No repository found containing: osgi.bundle,org.eclipse.xtext.xtend,1.0.2.v201102150722
    No repository found containing: osgi.bundle,org.objectweb.asm,3.2.0.v200909071300

    please advise !
  • tfriedr
    tfriedr
    28 Posts

    Re: how do i install big insights eclipse components?

    ‏2013-01-23T18:51:46Z  
    per the link, i installed cygwin, and added its path variables.

    C:\Users\IBM_ADMIN>echo %path%
    C:\Program Files\IBM\SPSS\Modeler\14.2\ext\lib\spss.TMWBClient\;C:\Program Files (x86)\RSA SecurID Token Common;C:\Windows\system32;C:\Windows;C:\Windows\System
    32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\ThinkPad\Bluetooth Software\;C:\Program Files\ThinkPad\Bluetooth Software\syswow64;C:\Program Files\Intel\WiFi\bin\;C:\Program Files\Common Files\Intel\WirelessCommon\;C:\Program Files (x86)\Lenovo\Access Connections\;C:\Program Files (x86)\IBM\Personal Communications\;C:\Program Files (x86)\IBM\Trace Facility\;C:\Program Files (x86)\Common Files\Roxio Shared\DLLShared\;C:\Program Files (x86)\Common Files\Roxio Shared\10.0\DLLShared\;C:\Program Files\Java\jdk1.6.0_35\bin;c:\cygwin\bin;c:\cygwin\user\bin

    upon completion of install there actually is no user\bin, but there is a usr\sbin. in any case i don't think this is a problem.

    i also checked what version of java i had on my machine, which appears to be what ibm originally provided me with as i do not recall downloading a jvm...

    C:\Users\IBM_ADMIN>java -version
    java version "1.7.0_09"
    Java(TM) SE Runtime Environment (build 1.7.0_09-b05)
    Java HotSpot(TM) 64-Bit Server VM (build 23.5-b02, mixed mode)

    back to step 3 and onward, this failed with the same error for
    eclipse juno sr1
    eclipse 3.8.1

    eclipse helios sr2 loooooked like it was working, and was moving stuff, but eventually it kicked out this:

    An error occurred while collecting items to be installed
    session context was:(profile=epp.package.java, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
    No repository found containing: osgi.bundle,org.eclipse.emf.mwe2.language,1.0.1.v201008251317
    No repository found containing: osgi.bundle,org.eclipse.emf.mwe2.launch,1.0.1.v201008251317
    No repository found containing: osgi.bundle,org.eclipse.pde,3.6.1.v201102101200
    No repository found containing: osgi.bundle,org.eclipse.pde.api.tools,1.0.202.v20100820_r361
    No repository found containing: osgi.bundle,org.eclipse.pde.api.tools.ui,1.0.201.v20100820_r361
    No repository found containing: osgi.bundle,org.eclipse.pde.build,3.6.2.R36x_20110203
    No repository found containing: osgi.bundle,org.eclipse.pde.core,3.6.2.v20110210_r362
    No repository found containing: osgi.bundle,org.eclipse.pde.doc.user,3.6.2.v20101118_r362
    No repository found containing: osgi.bundle,org.eclipse.pde.ds.core,1.0.100.v20100601
    No repository found containing: osgi.bundle,org.eclipse.pde.ds.ui,1.0.100.v20100601
    No repository found containing: org.eclipse.update.feature,org.eclipse.pde,3.6.2.r362_v20110203-7b7mFL2FET3dhHalh1iNZtL
    No repository found containing: osgi.bundle,org.eclipse.pde.junit.runtime,3.4.100.v20100601
    No repository found containing: osgi.bundle,org.eclipse.pde.launching,3.6.0.v20100601
    No repository found containing: osgi.bundle,org.eclipse.pde.runtime,3.4.200.v20100601
    No repository found containing: osgi.bundle,org.eclipse.pde.ua.core,1.0.100.v20100504
    No repository found containing: osgi.bundle,org.eclipse.pde.ua.ui,1.0.100.v20100504
    No repository found containing: osgi.bundle,org.eclipse.pde.ui,3.6.1.v20110210_r362
    No repository found containing: osgi.bundle,org.eclipse.pde.ui.templates,3.4.200.v20100601
    No repository found containing: osgi.bundle,org.eclipse.xtext.xtend,1.0.2.v201102150722
    No repository found containing: osgi.bundle,org.objectweb.asm,3.2.0.v200909071300

    please advise !
    Out of the Eclipse versions in your list, the only one supported version is Eclipse helios sr2.
    Eclipse provides different distributions that come with different packages pre-installed. BigInsights requires an Eclipse that comes with the PDE (plugin-development) and JDT (Java development) features. The download package that provides the necessary Eclipse packages is the Eclipse IDE for Java EE developers (the Eclipse IDE for Java Developers doesn't include the PDE feature).

    One way for you to get around the missing pre-requisites, is to check the box "Contact all updates sites during install to find required software" when installing the BigInsights tools for Eclipse. The eclipse update site is in the list of available update sites by default (http://download.eclipse.org/releases/helios - make sure the checkbox is checked), so the install should contact it to retrieve any required featured that from eclipse.org during the install of BigInsights.
  • SystemAdmin
    SystemAdmin
    603 Posts

    Re: how do i install big insights eclipse components?

    ‏2013-01-23T21:09:33Z  
    • tfriedr
    • ‏2013-01-23T18:51:46Z
    Out of the Eclipse versions in your list, the only one supported version is Eclipse helios sr2.
    Eclipse provides different distributions that come with different packages pre-installed. BigInsights requires an Eclipse that comes with the PDE (plugin-development) and JDT (Java development) features. The download package that provides the necessary Eclipse packages is the Eclipse IDE for Java EE developers (the Eclipse IDE for Java Developers doesn't include the PDE feature).

    One way for you to get around the missing pre-requisites, is to check the box "Contact all updates sites during install to find required software" when installing the BigInsights tools for Eclipse. The eclipse update site is in the list of available update sites by default (http://download.eclipse.org/releases/helios - make sure the checkbox is checked), so the install should contact it to retrieve any required featured that from eclipse.org during the install of BigInsights.
    that box was checked although it still bugged out on the error above.

    i tried downloading eclipse jee helios sr2 64-bit. this worked great and the components were installed successfully!

    what i'd like to do is run a hive query and see the table result set - although i don't see a create new hive query option. how do i run one of these? thanks.
  • tfriedr
    tfriedr
    28 Posts

    Re: how do i install big insights eclipse components?

    ‏2013-01-24T00:25:17Z  
    that box was checked although it still bugged out on the error above.

    i tried downloading eclipse jee helios sr2 64-bit. this worked great and the components were installed successfully!

    what i'd like to do is run a hive query and see the table result set - although i don't see a create new hive query option. how do i run one of these? thanks.
    You can find an explanation of all the steps to develop Hive queries in the Eclipse help topic under BigInsights -> Developing Hive queries.
    The basic steps are to create a JDBC driver definition, a connection profile for the particular server and then you establish a connection and run queries in the Database Development perspective. The first two steps are automatically done when you register a BigInsights server in the eclipse tooling (in the help: BigInsights -> Creating a BigInsights server connection).

    FYI, you can also run simple Hive queries with the Ad hoc Hive query app from the BigInsights console (Application tab - you need to deploy the app first).
  • SystemAdmin
    SystemAdmin
    603 Posts

    Re: how do i install big insights eclipse components?

    ‏2013-01-24T07:00:25Z  
    • tfriedr
    • ‏2013-01-24T00:25:17Z
    You can find an explanation of all the steps to develop Hive queries in the Eclipse help topic under BigInsights -> Developing Hive queries.
    The basic steps are to create a JDBC driver definition, a connection profile for the particular server and then you establish a connection and run queries in the Database Development perspective. The first two steps are automatically done when you register a BigInsights server in the eclipse tooling (in the help: BigInsights -> Creating a BigInsights server connection).

    FYI, you can also run simple Hive queries with the Ad hoc Hive query app from the BigInsights console (Application tab - you need to deploy the app first).
    thanks, worked great. much appreciated.
  • aaronglg
    aaronglg
    14 Posts

    Re: how do i install big insights eclipse components?

    ‏2013-10-19T22:03:27Z  
    • tfriedr
    • ‏2013-01-24T00:25:17Z
    You can find an explanation of all the steps to develop Hive queries in the Eclipse help topic under BigInsights -> Developing Hive queries.
    The basic steps are to create a JDBC driver definition, a connection profile for the particular server and then you establish a connection and run queries in the Database Development perspective. The first two steps are automatically done when you register a BigInsights server in the eclipse tooling (in the help: BigInsights -> Creating a BigInsights server connection).

    FYI, you can also run simple Hive queries with the Ad hoc Hive query app from the BigInsights console (Application tab - you need to deploy the app first).

    Hello sir,

     

    I have the same problem, My eclipse version is 3.6.1 and eclipse-jee-kepler-SR1-linux-gtk-x86_64, both for JAVA EE. when I try to install the Big insights eclipse components, with Help->Install  New Software with BigInsightsEclipseTools.zip, it puts: org.eclipse.help.ui(3.0.0 4.0.0] is needed, and Software being installed: IBM InfoSphere BigInsights 2.1.1.v20130822_0155 (com.ibm.biginsights.feature.feature.group 2.1.1.v20130822_0155);

     

    then I found org.eclipse.help.ui3.5.0 and put into the feature and pluginin of Eclipse, it has another problem of :

    Cannot complete the install because one or more required items could not be found.
      Software being installed: IBM InfoSphere BigInsights 2.1.1.v20130822_0155 (com.ibm.biginsights.feature.feature.group 2.1.1.v20130822_0155)
      Missing requirement: IBM InfoSphere BigInsights 2.1.1.v20130822_0155 (com.ibm.biginsights.feature.feature.group 2.1.1.v20130822_0155) requires 'org.apache.commons.el 1.0.0' but it could not be found

     

    can you help me ?

    thank you ,very ugent!

  • aaronglg
    aaronglg
    14 Posts

    Re: how do i install big insights eclipse components?

    ‏2013-10-19T22:29:10Z  
    that box was checked although it still bugged out on the error above.

    i tried downloading eclipse jee helios sr2 64-bit. this worked great and the components were installed successfully!

    what i'd like to do is run a hive query and see the table result set - although i don't see a create new hive query option. how do i run one of these? thanks.

    problem solved with helio s2. version

    Thank you!